package com.mortals.xhx.module.customer.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class CustomerTrialEntityExt extends CustomerTrialEntity {
    /**
     * 客户真实名称
     */
    private String custName;
    /**
     * 单位名称
     */
    private String organization;
    /**
     * 联系电话
     */
    private String contactTelphone;
    /**
     * 邮箱
     */
    private String mailbox;
    /**
     * 职位
     */
    private String job;
    /**
     * 申请时间
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date applyDate;
}
