package com.mortals.xhx.module.customer.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.customer.dao.CustomerWorkCollectDao;
import com.mortals.xhx.module.customer.model.CustomerWorkCollectEntity;
import com.mortals.xhx.module.customer.service.CustomerWorkCollectService;
import org.springframework.stereotype.Service;
/**
* CustomerWorkCollectService
* 客户收藏信息 service实现
*
* @author zxfei
* @date 2022-06-13
*/
@Service("customerWorkCollectService")
public class CustomerWorkCollectServiceImpl extends AbstractCRUDServiceImpl<CustomerWorkCollectDao, CustomerWorkCollectEntity, Long> implements CustomerWorkCollectService {

    @Override
    protected CustomerWorkCollectEntity findBefore(CustomerWorkCollectEntity params, PageInfo pageInfo, Context context) throws AppException {
        pageInfo.setPrePageResult(-1);

        return super.findBefore(params, pageInfo, context);
    }
}