package com.mortals.xhx.module.customer.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.model.CustomerEntityExt;

/**
* CustomerService
*
* 客户管理 service接口
*
* @author zxfei
* @date 2022-06-08
*/
public interface CustomerService extends ICRUDService<CustomerEntity,Long>{

    Result<CustomerEntityExt> findExt(CustomerEntity params, PageInfo pageInfo, Context context) throws AppException;

}