package com.mortals.xhx.module.design.model;

import java.util.List;
import com.mortals.xhx.module.design.model.DesignMasterplateEntity;
/**
* 模版管理查询对象
*
* @author zxfei
* @date 2022-06-14
*/
public class DesignMasterplateQuery extends DesignMasterplateEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 模版名称 */
    private List<String> masterplateNameList;

    /** 开始 模版编码 */
    private Integer masterplateCodeStart;

    /** 结束 模版编码 */
    private Integer masterplateCodeEnd;

    /** 增加 模版编码 */
    private Integer masterplateCodeIncrement;

    /** 模版编码列表 */
    private List <Integer> masterplateCodeList;

    /** 开始 发布人 */
    private Long customerIdStart;

    /** 结束 发布人 */
    private Long customerIdEnd;

    /** 增加 发布人 */
    private Long customerIdIncrement;

    /** 发布人列表 */
    private List <Long> customerIdList;

    /** 发布人名称 */
    private List<String> customerNameList;

    /** 开始 发布时间 */
    private String createTimeStart;

    /** 结束 发布时间 */
    private String createTimeEnd;

    /** 模版描述 */
    private List<String> masterplateDescList;

    /** 模版下载地址（相对地址） */
    private List<String> masterplatePathList;

    /** 开始 模版被引用的次数。默认：0 */
    private Integer masterplateUseNumStart;

    /** 结束 模版被引用的次数。默认：0 */
    private Integer masterplateUseNumEnd;

    /** 增加 模版被引用的次数。默认：0 */
    private Integer masterplateUseNumIncrement;

    /** 模版被引用的次数。默认：0列表 */
    private List <Integer> masterplateUseNumList;

    /** 模版引用的图片 */
    private List<String> pictureIdsList;

    /** 模版引用的素材 */
    private List<String> pictureSrcIdsList;

    /** 模版引用的背景 */
    private List<String> pictureBackgroundIdsList;

    /** 模版引用的字体 */
    private List<String> fontIdsList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DesignMasterplateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DesignMasterplateQuery> andConditionList;

    public DesignMasterplateQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 模版名称
    * @return masterplateNameList
    */
    public List<String> getMasterplateNameList(){
        return this.masterplateNameList;
    }

    /**
    * 设置 模版名称
    * @param masterplateNameList
    */
    public void setMasterplateNameList(List<String> masterplateNameList){
        this.masterplateNameList = masterplateNameList;
    }
    /**
    * 获取 开始 模版编码
    * @return masterplateCodeStart
    */
    public Integer getMasterplateCodeStart(){
        return this.masterplateCodeStart;
    }

    /**
    * 设置 开始 模版编码
    * @param masterplateCodeStart
    */
    public void setMasterplateCodeStart(Integer masterplateCodeStart){
        this.masterplateCodeStart = masterplateCodeStart;
    }

    /**
    * 获取 结束 模版编码
    * @return $masterplateCodeEnd
    */
    public Integer getMasterplateCodeEnd(){
        return this.masterplateCodeEnd;
    }

    /**
    * 设置 结束 模版编码
    * @param masterplateCodeEnd
    */
    public void setMasterplateCodeEnd(Integer masterplateCodeEnd){
        this.masterplateCodeEnd = masterplateCodeEnd;
    }

    /**
    * 获取 增加 模版编码
    * @return masterplateCodeIncrement
    */
    public Integer getMasterplateCodeIncrement(){
        return this.masterplateCodeIncrement;
    }

    /**
    * 设置 增加 模版编码
    * @param masterplateCodeIncrement
    */
    public void setMasterplateCodeIncrement(Integer masterplateCodeIncrement){
        this.masterplateCodeIncrement = masterplateCodeIncrement;
    }

    /**
    * 获取 模版编码
    * @return masterplateCodeList
    */
    public List<Integer> getMasterplateCodeList(){
        return this.masterplateCodeList;
    }

    /**
    * 设置 模版编码
    * @param masterplateCodeList
    */
    public void setMasterplateCodeList(List<Integer> masterplateCodeList){
        this.masterplateCodeList = masterplateCodeList;
    }

    /**
    * 获取 开始 发布人
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 发布人
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 发布人
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 发布人
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 发布人
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 发布人
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 发布人
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 发布人
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 发布人名称
    * @return customerNameList
    */
    public List<String> getCustomerNameList(){
        return this.customerNameList;
    }

    /**
    * 设置 发布人名称
    * @param customerNameList
    */
    public void setCustomerNameList(List<String> customerNameList){
        this.customerNameList = customerNameList;
    }
    /**
    * 获取 开始 发布时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 发布时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 发布时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 发布时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 模版描述
    * @return masterplateDescList
    */
    public List<String> getMasterplateDescList(){
        return this.masterplateDescList;
    }

    /**
    * 设置 模版描述
    * @param masterplateDescList
    */
    public void setMasterplateDescList(List<String> masterplateDescList){
        this.masterplateDescList = masterplateDescList;
    }
    /**
    * 获取 模版下载地址（相对地址）
    * @return masterplatePathList
    */
    public List<String> getMasterplatePathList(){
        return this.masterplatePathList;
    }

    /**
    * 设置 模版下载地址（相对地址）
    * @param masterplatePathList
    */
    public void setMasterplatePathList(List<String> masterplatePathList){
        this.masterplatePathList = masterplatePathList;
    }
    /**
    * 获取 开始 模版被引用的次数。默认：0
    * @return masterplateUseNumStart
    */
    public Integer getMasterplateUseNumStart(){
        return this.masterplateUseNumStart;
    }

    /**
    * 设置 开始 模版被引用的次数。默认：0
    * @param masterplateUseNumStart
    */
    public void setMasterplateUseNumStart(Integer masterplateUseNumStart){
        this.masterplateUseNumStart = masterplateUseNumStart;
    }

    /**
    * 获取 结束 模版被引用的次数。默认：0
    * @return $masterplateUseNumEnd
    */
    public Integer getMasterplateUseNumEnd(){
        return this.masterplateUseNumEnd;
    }

    /**
    * 设置 结束 模版被引用的次数。默认：0
    * @param masterplateUseNumEnd
    */
    public void setMasterplateUseNumEnd(Integer masterplateUseNumEnd){
        this.masterplateUseNumEnd = masterplateUseNumEnd;
    }

    /**
    * 获取 增加 模版被引用的次数。默认：0
    * @return masterplateUseNumIncrement
    */
    public Integer getMasterplateUseNumIncrement(){
        return this.masterplateUseNumIncrement;
    }

    /**
    * 设置 增加 模版被引用的次数。默认：0
    * @param masterplateUseNumIncrement
    */
    public void setMasterplateUseNumIncrement(Integer masterplateUseNumIncrement){
        this.masterplateUseNumIncrement = masterplateUseNumIncrement;
    }

    /**
    * 获取 模版被引用的次数。默认：0
    * @return masterplateUseNumList
    */
    public List<Integer> getMasterplateUseNumList(){
        return this.masterplateUseNumList;
    }

    /**
    * 设置 模版被引用的次数。默认：0
    * @param masterplateUseNumList
    */
    public void setMasterplateUseNumList(List<Integer> masterplateUseNumList){
        this.masterplateUseNumList = masterplateUseNumList;
    }

    /**
    * 获取 模版引用的图片
    * @return pictureIdsList
    */
    public List<String> getPictureIdsList(){
        return this.pictureIdsList;
    }

    /**
    * 设置 模版引用的图片
    * @param pictureIdsList
    */
    public void setPictureIdsList(List<String> pictureIdsList){
        this.pictureIdsList = pictureIdsList;
    }
    /**
    * 获取 模版引用的素材
    * @return pictureSrcIdsList
    */
    public List<String> getPictureSrcIdsList(){
        return this.pictureSrcIdsList;
    }

    /**
    * 设置 模版引用的素材
    * @param pictureSrcIdsList
    */
    public void setPictureSrcIdsList(List<String> pictureSrcIdsList){
        this.pictureSrcIdsList = pictureSrcIdsList;
    }
    /**
    * 获取 模版引用的背景
    * @return pictureBackgroundIdsList
    */
    public List<String> getPictureBackgroundIdsList(){
        return this.pictureBackgroundIdsList;
    }

    /**
    * 设置 模版引用的背景
    * @param pictureBackgroundIdsList
    */
    public void setPictureBackgroundIdsList(List<String> pictureBackgroundIdsList){
        this.pictureBackgroundIdsList = pictureBackgroundIdsList;
    }
    /**
    * 获取 模版引用的字体
    * @return fontIdsList
    */
    public List<String> getFontIdsList(){
        return this.fontIdsList;
    }

    /**
    * 设置 模版引用的字体
    * @param fontIdsList
    */
    public void setFontIdsList(List<String> fontIdsList){
        this.fontIdsList = fontIdsList;
    }
    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DesignMasterplateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DesignMasterplateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DesignMasterplateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DesignMasterplateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DesignMasterplateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 模版名称
    * @param masterplateName
    */
    public DesignMasterplateQuery masterplateName(String masterplateName){
        setMasterplateName(masterplateName);
		return this;
    }

    /**
    * 设置 模版名称
    * @param masterplateNameList
    */
    public DesignMasterplateQuery masterplateNameList(List<String> masterplateNameList){
        this.masterplateNameList = masterplateNameList;
		return this;
    }

    /**
    * 设置  模版编码
    * @param masterplateCode
    */
    public DesignMasterplateQuery masterplateCode(Integer masterplateCode){
	    setMasterplateCode(masterplateCode);
		return this;
    }
	
	 /**
    * 设置 开始 模版编码
    * @param masterplateCodeStart
    */
    public DesignMasterplateQuery masterplateCodeStart(Integer masterplateCodeStart){
		this.masterplateCodeStart = masterplateCodeStart;
		return this;
    }

    /**
    * 设置 结束 模版编码
    * @param masterplateCodeEnd
    */
    public DesignMasterplateQuery masterplateCodeEnd(Integer masterplateCodeEnd){
		this.masterplateCodeEnd = masterplateCodeEnd;
		return this;
    }

    /**
    * 设置 增加 模版编码
    * @param masterplateCodeIncrement
    */
    public DesignMasterplateQuery masterplateCodeIncrement(Integer masterplateCodeIncrement){
		this.masterplateCodeIncrement = masterplateCodeIncrement;
		return this;
    }

    /**
    * 设置 模版编码
    * @param masterplateCodeList
    */
    public DesignMasterplateQuery masterplateCodeList(List<Integer> masterplateCodeList){
        this.masterplateCodeList = masterplateCodeList;
		return this;
        }

    /**
    * 设置  发布人
    * @param customerId
    */
    public DesignMasterplateQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 发布人
    * @param customerIdStart
    */
    public DesignMasterplateQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 发布人
    * @param customerIdEnd
    */
    public DesignMasterplateQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 发布人
    * @param customerIdIncrement
    */
    public DesignMasterplateQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 发布人
    * @param customerIdList
    */
    public DesignMasterplateQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }


	/**
    * 设置 发布人名称
    * @param customerName
    */
    public DesignMasterplateQuery customerName(String customerName){
        setCustomerName(customerName);
		return this;
    }

    /**
    * 设置 发布人名称
    * @param customerNameList
    */
    public DesignMasterplateQuery customerNameList(List<String> customerNameList){
        this.customerNameList = customerNameList;
		return this;
    }



	/**
    * 设置 模版描述
    * @param masterplateDesc
    */
    public DesignMasterplateQuery masterplateDesc(String masterplateDesc){
        setMasterplateDesc(masterplateDesc);
		return this;
    }

    /**
    * 设置 模版描述
    * @param masterplateDescList
    */
    public DesignMasterplateQuery masterplateDescList(List<String> masterplateDescList){
        this.masterplateDescList = masterplateDescList;
		return this;
    }


	/**
    * 设置 模版下载地址（相对地址）
    * @param masterplatePath
    */
    public DesignMasterplateQuery masterplatePath(String masterplatePath){
        setMasterplatePath(masterplatePath);
		return this;
    }

    /**
    * 设置 模版下载地址（相对地址）
    * @param masterplatePathList
    */
    public DesignMasterplateQuery masterplatePathList(List<String> masterplatePathList){
        this.masterplatePathList = masterplatePathList;
		return this;
    }

    /**
    * 设置  模版被引用的次数。默认：0
    * @param masterplateUseNum
    */
    public DesignMasterplateQuery masterplateUseNum(Integer masterplateUseNum){
	    setMasterplateUseNum(masterplateUseNum);
		return this;
    }
	
	 /**
    * 设置 开始 模版被引用的次数。默认：0
    * @param masterplateUseNumStart
    */
    public DesignMasterplateQuery masterplateUseNumStart(Integer masterplateUseNumStart){
		this.masterplateUseNumStart = masterplateUseNumStart;
		return this;
    }

    /**
    * 设置 结束 模版被引用的次数。默认：0
    * @param masterplateUseNumEnd
    */
    public DesignMasterplateQuery masterplateUseNumEnd(Integer masterplateUseNumEnd){
		this.masterplateUseNumEnd = masterplateUseNumEnd;
		return this;
    }

    /**
    * 设置 增加 模版被引用的次数。默认：0
    * @param masterplateUseNumIncrement
    */
    public DesignMasterplateQuery masterplateUseNumIncrement(Integer masterplateUseNumIncrement){
		this.masterplateUseNumIncrement = masterplateUseNumIncrement;
		return this;
    }

    /**
    * 设置 模版被引用的次数。默认：0
    * @param masterplateUseNumList
    */
    public DesignMasterplateQuery masterplateUseNumList(List<Integer> masterplateUseNumList){
        this.masterplateUseNumList = masterplateUseNumList;
		return this;
        }


	/**
    * 设置 模版引用的图片
    * @param pictureIds
    */
    public DesignMasterplateQuery pictureIds(String pictureIds){
        setPictureIds(pictureIds);
		return this;
    }

    /**
    * 设置 模版引用的图片
    * @param pictureIdsList
    */
    public DesignMasterplateQuery pictureIdsList(List<String> pictureIdsList){
        this.pictureIdsList = pictureIdsList;
		return this;
    }


	/**
    * 设置 模版引用的素材
    * @param pictureSrcIds
    */
    public DesignMasterplateQuery pictureSrcIds(String pictureSrcIds){
        setPictureSrcIds(pictureSrcIds);
		return this;
    }

    /**
    * 设置 模版引用的素材
    * @param pictureSrcIdsList
    */
    public DesignMasterplateQuery pictureSrcIdsList(List<String> pictureSrcIdsList){
        this.pictureSrcIdsList = pictureSrcIdsList;
		return this;
    }


	/**
    * 设置 模版引用的背景
    * @param pictureBackgroundIds
    */
    public DesignMasterplateQuery pictureBackgroundIds(String pictureBackgroundIds){
        setPictureBackgroundIds(pictureBackgroundIds);
		return this;
    }

    /**
    * 设置 模版引用的背景
    * @param pictureBackgroundIdsList
    */
    public DesignMasterplateQuery pictureBackgroundIdsList(List<String> pictureBackgroundIdsList){
        this.pictureBackgroundIdsList = pictureBackgroundIdsList;
		return this;
    }


	/**
    * 设置 模版引用的字体
    * @param fontIds
    */
    public DesignMasterplateQuery fontIds(String fontIds){
        setFontIds(fontIds);
		return this;
    }

    /**
    * 设置 模版引用的字体
    * @param fontIdsList
    */
    public DesignMasterplateQuery fontIdsList(List<String> fontIdsList){
        this.fontIdsList = fontIdsList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DesignMasterplateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DesignMasterplateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DesignMasterplateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DesignMasterplateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}