package com.mortals.xhx.module.picture.dao.ibatis;


import com.mortals.xhx.module.picture.model.vo.PictureGroupCountVo;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.picture.dao.PictureMaterialDao;
import com.mortals.xhx.module.picture.model.PictureMaterialEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 图片素材DaoImpl DAO接口
*
* @author zxfei
* @date 2022-06-08
*/
@Repository("pictureMaterialDao")
public class PictureMaterialDaoImpl extends BaseCRUDDaoMybatis<PictureMaterialEntity,Long> implements PictureMaterialDao {


    @Override
    public List<PictureGroupCountVo> selectPictureGroupCount(int pictureType) {
        return this.getSqlSession().selectList(this.getSqlId("selectPictureGroupCount"),pictureType);
    }
}
