package com.mortals.xhx.module.picture.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.base.system.param.model.ParamEntity;
import com.mortals.xhx.module.picture.model.PictureMaterialEntity;
import com.mortals.xhx.module.picture.model.vo.PictureGroupCountVo;

import java.util.List;

/**
* PictureMaterialService
*
* 图片素材 service接口
*
* @author zxfei
* @date 2022-06-08
*/
public interface PictureMaterialService extends ICRUDService<PictureMaterialEntity,Long>{

    /**
     * 图片分组情况
     * @return
     */
    List<PictureGroupCountVo> selectPictureGroupCount(int pictureType);
}